MetricType (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.metrics2, enum: MetricType

Package org.apache.hadoop.metrics2

# Enum Class MetricType

java.lang.Object
java.lang.Enum<MetricType>
org.apache.hadoop.metrics2.MetricType

All Implemented Interfaces:
  `Serializable`, `Comparable<MetricType>`, `Constable`

public enum MetricType extends Enum<MetricType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COUNTER`
  A monotonically increasing metric that can be used to calculate throughput
  `GAUGE`
  An arbitrary varying metric

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetricType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MetricType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COUNTER

    public static final MetricType COUNTER
    A monotonically increasing metric that can be used to calculate throughput

  - ### GAUGE

    public static final MetricType GAUGE
    An arbitrary varying metric

- ## Method Details

  - ### values

    public static MetricType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MetricType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null